#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export AUTOPOINT=intltoolize --automake --copy

configure_flags += \
		--disable-silent-rules \
		--enable-man \
		$(NULL)

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/buzztrax/usr/lib/*/*.la
	rm $(CURDIR)/debian/buzztrax/usr/lib/*/*/*.la
	rm $(CURDIR)/debian/buzztrax/usr/lib/*/*.so
	rm $(CURDIR)/debian/buzztrax/usr/lib/*/*.a
	#rm -r $(CURDIR)/debian/buzztrax/usr/lib/pkgconfig
	rm -r $(CURDIR)/debian/buzztrax/usr/include
	rm -rf $(CURDIR)/debian/buzztrax/usr/share/gtk-doc

override_dh_auto_test:

